Subject: Re: [PATCH] SSB: make it depend on PCI

From: Michael Buesch <[email-masked]>
Date: Sun, 9 Nov 2008 12:49:51 +0100

On Sunday 09 November 2008 11:51:37 Geert Uytterhoeven wrote:
> I had the same issue on m68k, not only with SSB but also with other legacy
> drivers (hp100 Ethernet, AIC7xxx SCSI). It was fixed in commit
> 998aaf01c6f6f3dffc1ea9e7b20b131e38fdbc78 ("m68k: <asm/pci.h> needs
> <asm-generic/pci-dma-compat.h>").

Ok, nice.
I'd suggest we additionally fix the architectures this way.

My patch already is on its way upstream and I think that's OK.
The codepaths that it #ifdefs out are dead code on non-PCI, so I think
it's OK to #ifdef them.

-- 
Greetings Michael.